## dropbear 2022.83

=== test/requirements.txt ===
attrs==21.2.0
iniconfig==1.1.1
packaging==21.0
pluggy==1.0.0
py==1.10.0
pyparsing==2.4.7
pytest==6.2.5
toml==0.10.2
psutil==5.9.0

## dropbear 0.52-2

=== debian/changelog ===
dropbear (0.52-2) unstable; urgency=low

  * Make key utils part of dropbear-server package (since it's
  required anyway, single binary saves space), rename -common to
  -keyutils
  * Don't make clean between builds, just rm *.o since only
  top-level files change

 -- Matt Johnston <matt@ucc.asn.au>  Wed, 19 Nov 2008 21:54:00 +0900

dropbear (0.52-1) unstable; urgency=low

  * Maemo port, split into 5 packages
  (dropbear, dropbear-server, dropbear-client, dropbear-common, dropbear-scp).
  This avoids conflicts with openssh package.

 -- Matt Johnston <matt@ucc.asn.au>  Wed, 19 Nov 2008 20:54:00 +0900

dropbear (0.52-0.1) unstable; urgency=low

  * New upstream release.

 -- Matt Johnston <matt@ucc.asn.au>  Wed, 12 Nov 2008 22:54:00 +0900

dropbear (0.51-0.1) unstable; urgency=low

  * New upstream release.

 -- Matt Johnston <matt@ucc.asn.au>  Thu, 27 Mar 2008 19:14:00 +0900

dropbear (0.50-4) unstable; urgency=low

  * debian/dropbear.init: apply patch from Petter Reinholdtsen: add LSB
    formatted dependency info in init.d script (closes: #466257).
  * debian/rules: no longer include symlinks for ./supervise/ subdirectories.
  * debian/dropbear.postinst: upgrade from << 0.50-4: if dropbear is managed
    by runit, remove service, and re-add using update-service(8).
  * debian/control: Standards-Version: 3.7.3.0.
  * debian/rules: target clean: don't ignore errors but check for readable
    ./Makefile.

 -- Gerrit Pape <pape@smarden.org>  Thu, 06 Mar 2008 19:06:58 +0000

dropbear (0.50-3) unstable; urgency=low

  * debian/dropbear.init: use the update-service(8) program from the runit
    package instead of directly checking for the symlink in /var/service/.
  * debian/README.runit: talk about update-service(8) instead of symlinks
    in /var/service/.

 -- Gerrit Pape <pape@smarden.org>  Fri, 15 Feb 2008 00:32:37 +0000

dropbear (0.50-2) unstable; urgency=low

  * debian/dropbear.README.Debian: no longer talk about entropy from
    /dev/random, /dev/urandom is now used by default (thx Joey Hess,
    closes: #441515).

 -- Gerrit Pape <pape@smarden.org>  Mon, 24 Sep 2007 16:49:17 +0000

dropbear (0.50-1) unstable; urgency=low

  * debian/README.runit: minor.
  * new upstream version.
  * debian/diff/0001-options.h-use-dev-urandom-instead-of-dev-random-a.diff:
    remove; fixed upstream.

 -- Gerrit Pape <pape@smarden.org>  Thu, 09 Aug 2007 23:01:01 +0000

dropbear (0.49-2) unstable; urgency=low

  * debian/rules: apply diffs from debian/diff/ with patch -p1 instead of
    -p0.
  * debian/diff/0001-options.h-use-dev-urandom-instead-of-dev-random-a.diff:
    new; options.h: use /dev/urandom instead of /dev/random as
    DROPBEAR_RANDOM_DEV (closes: #386976).
  * debian/rules: target clean: remove libtomcrypt/Makefile,
    libtommath/Makefile.

 -- Gerrit Pape <pape@smarden.org>  Sat, 09 Jun 2007 08:59:59 +0000

dropbear (0.49-1) unstable; urgency=high

  * new upstream release, fixes
    * CVE-2007-1099: dropbear dbclient insufficient warning on hostkey
      mismatch (closes: #412899).
    * dbclient uses static "Password:" prompt instead of using the server's
      prompt (closes: #394996).
  * debian/control: Suggests: openssh-client, not ssh (closes: #405686);
    Standards-Version: 3.7.2.2.
  * debian/README.Debian: ssh -> openssh-server, openssh-client; remove
    'Replacing OpenSSH "sshd" with Dropbear' part, this is simply done by not
    installing the openssh-server package.
  * debian/README.runit: runsvstat -> sv status.

 -- Gerrit Pape <pape@smarden.org>  Fri,  2 Mar 2007 20:48:18 +0000

dropbear (0.48.1-1) unstable; urgency=medium

  * new upstream point release.
    * Compile fix for scp
  * debian/diff/dbclient.1.diff: new: document -R option to dbclient
    accurately (thx Markus Schaber; closes: #351882).
  * debian/dropbear.README.Debian: document a workaround for systems with
    possibly blocking /dev/random device (closes: #355414)..

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 16:16:40 +0000

dropbear (0.48-1) unstable; urgency=medium

  * New upstream release.
  * SECURITY: Improve handling of denial of service attempts from a single
    IP.

  * debian/implicit: update to revision 1.11.
  * new upstream release updates to scp from OpenSSH 4.3p2 - fixes a
    security issue where use of system() could cause users to execute
    arbitrary code through malformed filenames; CVE-2006-0225 (see also
    #349645); the scp binary is not provided by this package though.

 -- Gerrit Pape <pape@smarden.org>  Fri, 10 Mar 2006 22:00:32 +0000

dropbear (0.47-1) unstable; urgency=high

  * New upstream release.
  * SECURITY: Fix incorrect buffer sizing; CVE-2005-4178.

 -- Matt Johnston <matt@ucc.asn.au>  Thu, 8 Dec 2005 19:20:21 +0800

dropbear (0.46-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.6.2.1; update descriptions to
    mention included server and client (thx Tino Keitel).
  * debian/dropbear.init: allow '/etc/init.d/dropbear stop' even though
    'NO_START is not set to zero.' (closes: #336723).

 -- Gerrit Pape <pape@smarden.org>  Tue,  6 Dec 2005 13:30:49 +0000

dropbear (0.46-1) unstable; urgency=medium

  * New upstream release, various fixes.
  * debian/diff/dbclient-usage-typo.diff, debian/diff/manpages.diff: remove;
    obsolete.
  * debian/dbclient.1: move to ./dbclient.1.

 -- Matt Johnston <matt@ucc.asn.au>  Fri, 8 July 2005 21:32:55 +0800

dropbear (0.45-3) unstable; urgency=low

  * debian/dropbear.init: init script prints human readable message in case
    it's disabled (closes: #309099).
  * debian/dropbear.postinst: configure: restart service through init script
    instead of start.
  * debian/dropbear.prerm: set -u -> set -e.

 -- Gerrit Pape <pape@smarden.org>  Wed, 25 May 2005 22:38:17 +0000

dropbear (0.45-2) unstable; urgency=low

  * Matt Johnston:
    * New upstream release, various fixes.

 -- Gerrit Pape <pape@smarden.org>  Sat, 12 Mar 2005 15:17:55 +0000

dropbear (0.44-1) unstable; urgency=low



=== debian/control ===
Source: dropbear
Section: user/network
Priority: optional
Maintainer: Matt Johnston <matt@ucc.asn.au>
Build-Depends: libz-dev
Standards-Version: 3.7.3.0

Package: dropbear
Architecture: any
Depends: ${shlibs:Depends}
Suggests: openssh-client, runit
Section: user/network
Conflicts: dropbear-server, dropbear-client, dropbear-keyutils, dropbear-scp
XB-Maemo-Display-Name: Dropbear SSH Client and Server
Description: lightweight SSH2 server and client
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 It implements most required features of the SSH 2 protocol, and other
 features such as X11 and authentication agent forwarding.
 .
 This package provides Dropbear client and server as a single binary,
 as well as key utilities and SCP.
 .
 See http://matt.ucc.asn.au/dropbear/dropbear.html

Package: dropbear-server
Architecture: any
Depends: ${shlibs:Depends}
Section: user/network
Conflicts: dropbear, dropbear-keyutils
Provides: dropbear-keyutils
Recommends: dropbear-scp
XB-Maemo-Display-Name: Dropbear SSH Server
Description: lightweight SSH2 server
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 It implements most required features of the SSH 2 protocol, and other
 features such as X11 and authentication agent forwarding.
 .
 This package provides only the Dropbear server.
 .
 See http://matt.ucc.asn.au/dropbear/dropbear.html

Package: dropbear-client
Architecture: any
Conflicts: dropbear
Section: user/network
Depends: ${shlibs:Depends}
Recommends: dropbear-scp
Suggests: dropbear-keyutils
XB-Maemo-Display-Name: Dropbear SSH Client
Description: lightweight SSH2 client
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 It implements most required features of the SSH 2 protocol, and other
 features such as X11 and authentication agent forwarding.
 .
 This package provides only the Dropbear client.
 .
 See http://matt.ucc.asn.au/dropbear/dropbear.html

Package: dropbear-keyutils
Architecture: any
Conflicts: dropbear, dropbear-server
Section: user/network
XB-Maemo-Display-Name: Dropbear SSH Key Utils
Depends: ${shlibs:Depends}
Description: lightweight SSH2, key management utilities
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 This package provides dropbearkey and dropbearconvert programs,
 for generating keys and converting to/from OpenSSH keys.
 .
 See http://matt.ucc.asn.au/dropbear/dropbear.html

Package: dropbear-scp
Architecture: any
Section: user/network
Conflicts: dropbear
XB-Maemo-Display-Name: Dropbear SCP
Depends: ${shlibs:Depends}
Description: lightweight SSH2 scp
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 This dropbear-scp package provides /usr/bin/scp.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_OPTIONS
DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

STRIP =strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: nostrip
endif

CFLAGS =-Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS +=-O0
else
  CFLAGS +=-Os
endif

CONFFLAGS =
CC =gcc
ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CONFFLAGS =--disable-zlib
  CC =diet -v -Os gcc -nostdinc
endif

patch: deb-checkdir patch-stamp
patch-stamp:
	for i in `ls -1 debian/diff/*.diff || :`; do \
	  patch -p1 <$$i || exit 1; \
	done
	touch patch-stamp

config.status: patch-stamp configure
	CC='$(CC)' \
	CFLAGS='$(CFLAGS)'' -DSFTPSERVER_PATH="\"/usr/lib/sftp-server\""' \
	  ./configure --host='$(DEB_HOST_GNU_TYPE)' \
	    --build='$(DEB_BUILD_GNU_TYPE)' --prefix=/usr \
	    --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	    $(CONFFLAGS)
	$(MAKE) clean

build: deb-checkdir build-stamp
build-stamp: config.status
	$(MAKE) CC='$(CC)' LD='$(CC)'
	touch build-stamp

clean: DIR=$(shell pwd)/debian/dropbear
clean: deb-checkdir deb-checkuid 
	test ! -r Makefile || $(MAKE) distclean
	rm -f libtomcrypt/Makefile libtommath/Makefile
	test ! -e patch-stamp || \
	  for i in `ls -1r debian/diff/*.diff || :`; do \
	    patch -p1 -R <$$i; \
	  done
	rm -f patch-stamp build-stamp config.log config.status
	rm -rf '$(DIR)'
	rm -rf '$(DIR)'-client
	rm -rf '$(DIR)'-server
	rm -rf '$(DIR)'-keyutils
	rm -rf '$(DIR)'-scp
	rm -f debian/files debian/substvars debian/copyright changelog

install-server: DIR=$(shell pwd)/debian/dropbear-server
install-server: deb-checkdir deb-checkuid config.status 
	rm -f '$(DIR)'
	rm *.o
	$(MAKE) CC='$(CC)' LD='$(LD)' PROGRAMS="dropbear dropbearkey dropbearconvert" MULTI=1
	install -d -m0755 '$(DIR)'/etc/dropbear
	# programs
	install -d -m0755 '$(DIR)'/usr/bin
	install -d -m0755 '$(DIR)'/usr/sbin
	install -d -m0755 '$(DIR)'/usr/lib/dropbear
	install -m0755 dropbearmulti \
	  '$(DIR)'/usr/lib/dropbear/dropbearmulti
	ln -s ../lib/dropbear/dropbearmulti '$(DIR)'/usr/bin/dropbearkey
	ln -s ../lib/dropbear/dropbearmulti '$(DIR)'/usr/sbin/dropbear
	ln -s dropbearmulti '$(DIR)'/usr/lib/dropbear/dropbearconvert
	# init and run scripts
	install -d -m0755 '$(DIR)'/etc/init.d
	install -m0755 debian/dropbear.init '$(DIR)'/etc/init.d/dropbear
	install -m0755 debian/service/run '$(DIR)'/etc/dropbear/run
	install -d -m0755 '$(DIR)'/etc/dropbear/log
	install -m0755 debian/service/log '$(DIR)'/etc/dropbear/log/run
	ln -s /var/log/dropbear '$(DIR)'/etc/dropbear/log/main
	install -d -m0755 '$(DIR)'/usr/share/man/man8
	for i in dropbear.8 ; do \
	  install -m644 $$i '$(DIR)'/usr/share/man/man8/ || exit 1; \
	done
	gzip -9 '$(DIR)'/usr/share/man/man8/*.8
	# copyright, changelog
	cat debian/copyright.in LICENSE > debian/copyright
	test -r changelog || ln -s CHANGES changelog
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/lib/dropbear/*

	install -d -m0755 '$(DIR)'/DEBIAN
	test '$(CC)' != 'gcc' || \
	  dpkg-shlibdeps '$(DIR)'/usr/lib/dropbear/*

install-client: DIR=$(shell pwd)/debian/dropbear-client
install-client: deb-checkdir deb-checkuid config.status 
	rm -f '$(DIR)'
	rm *.o
	$(MAKE) CC='$(CC)' LD='$(LD)' PROGRAMS=dbclient dbclient
	install -d -m0755 '$(DIR)'/usr/bin
	install -m0755 dbclient '$(DIR)'/usr/bin/dbclient
	install -d -m0755 '$(DIR)'/usr/share/man/man1
	install -m644 dbclient.1 '$(DIR)'/usr/share/man/man1/
	gzip -9 '$(DIR)'/usr/share/man/man1/*.1
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/bin/* 

	install -d -m0755 '$(DIR)'/DEBIAN
	test '$(CC)' != 'gcc' || \
	  dpkg-shlibdeps  '$(DIR)'/usr/bin/*

install-keyutils: DIR=$(shell pwd)/debian/dropbear-keyutils
install-keyutils: deb-checkdir deb-checkuid config.status 
	rm -f '$(DIR)'
	rm *.o
	$(MAKE) CC='$(CC)' LD='$(LD)' PROGRAMS="dropbearkey dropbearconvert" MULTI=1
	install -d -m0755 '$(DIR)'/usr/bin
	install -d -m0755 '$(DIR)'/usr/lib/dropbear
	install -m0755 dropbearmulti \
	  '$(DIR)'/usr/lib/dropbear/dropbearmulti
	ln -s ../lib/dropbear/dropbearmulti '$(DIR)'/usr/bin/dropbearkey
	ln -s dropbearmulti '$(DIR)'/usr/lib/dropbear/dropbearconvert
	install -d -m0755 '$(DIR)'/usr/share/man/man8
	for i in dropbearkey.8; do \
	  install -m644 $$i '$(DIR)'/usr/share/man/man8/ || exit 1; \
	done
	gzip -9 '$(DIR)'/usr/share/man/man8/*.8
	$(STRIP) -R .comment -R .note \
	   '$(DIR)'/usr/lib/dropbear/*

	install -d -m0755 '$(DIR)'/DEBIAN
	test '$(CC)' != 'gcc' || \
	  dpkg-shlibdeps '$(DIR)'/usr/lib/dropbear/*

install-scp: DIR=$(shell pwd)/debian/dropbear-scp
install-scp: deb-checkdir deb-checkuid config.status 
	rm -f '$(DIR)'
	rm *.o
	$(MAKE) CC='$(CC)' LD='$(LD)' PROGRAMS="scp" scp 
	install -d -m0755 '$(DIR)'/usr/bin
	install -m0755 scp '$(DIR)'/usr/bin/scp
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/bin/*

	install -d -m0755 '$(DIR)'/DEBIAN
	test '$(CC)' != 'gcc' || \
	  dpkg-shlibdeps '$(DIR)'/usr/bin/* 

install-multi: DIR=$(shell pwd)/debian/dropbear
install-multi: deb-checkdir deb-checkuid config.status 
	rm -f '$(DIR)'
	rm *.o
	$(MAKE) CC='$(CC)' LD='$(LD)' PROGRAMS="dropbearkey dropbearconvert scp dropbear dbclient" MULTI=1
	install -d -m0755 '$(DIR)'/etc/dropbear
	# programs
	install -d -m0755 '$(DIR)'/usr/bin
	install -d -m0755 '$(DIR)'/usr/sbin
	install -d -m0755 '$(DIR)'/usr/lib/dropbear
	install -m0755 dropbearmulti \
	  '$(DIR)'/usr/lib/dropbear/dropbearmulti
	ln -s ../lib/dropbear/dropbearmulti '$(DIR)'/usr/bin/dropbearkey
	ln -s ../lib/dropbear/dropbearmulti '$(DIR)'/usr/bin/dbclient
	ln -s ../lib/dropbear/dropbearmulti '$(DIR)'/usr/bin/scp
	ln -s ../lib/dropbear/dropbearmulti '$(DIR)'/usr/sbin/dropbear
	ln -s dropbearmulti '$(DIR)'/usr/lib/dropbear/dropbearconvert
	# init and run scripts
	install -d -m0755 '$(DIR)'/etc/init.d
	install -m0755 debian/dropbear.init '$(DIR)'/etc/init.d/dropbear
	install -m0755 debian/service/run '$(DIR)'/etc/dropbear/run
	install -d -m0755 '$(DIR)'/etc/dropbear/log
	install -m0755 debian/service/log '$(DIR)'/etc/dropbear/log/run
	ln -s /var/log/dropbear '$(DIR)'/etc/dropbear/log/main
	install -d -m0755 '$(DIR)'/usr/share/man/man8
	for i in dropbear.8 dropbearkey.8; do \
	  install -m644 $$i '$(DIR)'/usr/share/man/man8/ || exit 1; \
	done
	gzip -9 '$(DIR)'/usr/share/man/man8/*.8
	install -d -m0755 '$(DIR)'/usr/share/man/man1
	install -m644 dbclient.1 '$(DIR)'/usr/share/man/man1/
	gzip -9 '$(DIR)'/usr/share/man/man1/*.1
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/lib/dropbear/*

	install -d -m0755 '$(DIR)'/DEBIAN
	test '$(CC)' != 'gcc' || \
	  dpkg-shlibdeps '$(DIR)'/usr/lib/dropbear/*

install: install-client install-server install-keyutils install-multi install-scp
binary-indep:

binary-arch: install dropbear.deb dropbear-server.deb dropbear-keyutils.deb dropbear-scp.deb dropbear-client.deb
	dpkg-gencontrol -isp -pdropbear -P'$(shell pwd)/debian'/dropbear
	dpkg-gencontrol -isp -pdropbear-server -P'$(shell pwd)/debian'/dropbear-server
	dpkg-gencontrol -isp -pdropbear-client -P'$(shell pwd)/debian'/dropbear-client
	dpkg-gencontrol -isp -pdropbear-keyutils -P'$(shell pwd)/debian'/dropbear-keyutils
	dpkg-gencontrol -isp -pdropbear-scp -P'$(shell pwd)/debian'/dropbear-scp
	dpkg -b '$(shell pwd)/debian'/dropbear ..
	dpkg -b '$(shell pwd)/debian'/dropbear-server ..
	dpkg -b '$(shell pwd)/debian'/dropbear-keyutils ..
	dpkg -b '$(shell pwd)/debian'/dropbear-scp ..
	dpkg -b '$(shell pwd)/debian'/dropbear-client ..

binary: binary-arch binary-indep

.PHONY: patch build clean install binary-indep binary-arch binary

include debian/implicit

## dropbear 2012.55

=== debian/changelog ===
dropbear (2012.55-1.3+deb7u2) wheezy-security; urgency=high

  * Backport fix for CVE-2017-9079 from 2017.75: information disclosure with
    ~/.ssh/authorized_keys symlink.
    Dropbear parsed authorized_keys as root, even if it were a symlink. The
    fix is to switch to user permissions when opening authorized_keys A user
    could symlink their ~/.ssh/authorized_keys to a root-owned file they
    couldn't normally read. If they managed to get that file to contain valid
    authorized_keys with command= options it might be possible to read other
    contents of that file.
    This information disclosure is to an already authenticated user.

 -- Guilhem Moulin <guilhem@debian.org>  Sat, 20 May 2017 20:49:16 +0200

dropbear (2012.55-1.3+deb7u1) wheezy-security; urgency=high

  * Move to "3.0 (quilt)" source format for patch clarity.
  * CVE-2016-7406: Improve exit message formatting.
  * CVE-2016-7407: Fix potential segfaults in parsing OpenSSH's ASN.1 key
    format.

 -- Chris Lamb <lamby@debian.org>  Fri, 23 Sep 2016 20:32:22 +0200

dropbear (2012.55-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix initramfs hook when multiple variant of libc are installed.
    All credits due to Helmut Grohne for the report and the solution.
    (Closes: #682964)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 08 Nov 2012 10:45:01 +0100

dropbear (2012.55-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Unbreak initramfs hook when upgrading from Squeeze.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 25 Sep 2012 16:53:18 +0200

dropbear (2012.55-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Adjust initramfs hook to work with multi-arch. Initial patch by
    Michael Stapelberg. (Closes: #630581)

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 25 Sep 2012 09:17:06 +0200

dropbear (2012.55-1) unstable; urgency=high

  * New upstream release.
    * Fix use-after-free bug that could be triggered if command="..."
      authorized_keys restrictions are used.  Could allow arbitrary
      code execution or bypass of the command="..." restriction to an
      authenticated user.  This bug affects releases 0.52 onwards.
      Ref CVE-2012-0920 (closes: #661150).  Thanks to Danny Fullerton
      of Mantor Organization for reporting the bug.

 -- Gerrit Pape <pape@smarden.org>  Mon, 27 Feb 2012 14:18:53 +0000

dropbear (2011.54-1) unstable; urgency=low

  [ Matt Johnston ]
  * new upstream release.
    * Added ALLOW_BLANK_PASSWORD option. Dropbear also now allows public
      key logins to accounts with a blank password. Thanks to Rob
      Landley (closes: #555889).
    * Bind to sockets with IPV6_V6ONLY so that it works properly on
      systems regardless of the system-wide setting (closes: #636696).

  [ Gerrit Pape ]
  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Wed, 16 Nov 2011 12:36:03 +0000

dropbear (0.53.1-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.
    * SSH_ORIGINAL_COMMAND environment variable is set by the server
      when an authorized_keys command is specified (closes: #604524).

  [ Gerrit Pape ]
  * debian/rules: add --enable-bundled-libtom option to ./configure.
  * debian/rules: remove -DXAUTH_COMMAND="/usr/bin/X11/xauth -q from
    CFLAGS (workaround ./configure stupidity; closes: #625192).
  * debian/diff/0003-options.h-use-usr-bin-xauth-instead-of...diff: new;
    use /usr/bin/xauth instead of /usr/bin/X11/xauth for XAUTH_COMMAND
    (closes: #614355).

 -- Gerrit Pape <pape@smarden.org>  Mon, 02 May 2011 16:35:14 +0000

dropbear (0.52-5) unstable; urgency=low

  [ debian@x.ray.net ]
  * debian/dropbear.postinst: initramfs-tools uses a conf-hooks.d/
    directory for mkinitramfs ('compiletime') configuration, so to be
    sure to read the whole/correct config we need to source the files
    in there too, additionally to initramfs.conf (closes: #575504).
  * debian/initramfs/dropbear-conf: set UMASK=0077 (closes: #578117).

  [ Gerrit Pape ]
  * debian/control: Standards-Version: 3.8.4.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 18 Apr 2010 23:04:36 +0000

dropbear (0.52-4) unstable; urgency=low

  * debian/initramfs/dropbear-hook: allow more than one public key in
    initramfs (thx Chris for the patch; closes: #548309).

 -- Gerrit Pape <pape@smarden.org>  Tue, 06 Oct 2009 01:51:42 +0000

dropbear (0.52-3) unstable; urgency=low

  * debian/rules: configure: add XAUTH_COMMAND="/usr/bin/X11/xauth -q"
    to CFLAGS (thx Axel Beckert, Colin Watson; closes: #532900).
  * debian/dropbear.init: Improve abort messages due to
    /etc/default/dropbear::NO_START (thx Jari Aalto for the patch;
    closes: #541432).
  * debian/control: Provides: ssh-server (thx Steffen Moeller; closes:
    #543174)
  * debian/control: Suggests: xauth (thx Francis Russell; closes:
    #508233).

 -- Gerrit Pape <pape@smarden.org>  Thu, 24 Sep 2009 14:37:17 +0000

dropbear (0.52-2) unstable; urgency=medium

  * debian/initramfs/premount-dropbear: run configure_networking in the
    background (thx debian@x.ray.net, closes: #514213, #524728).
  * debian/control: Standards-Version: 3.8.2.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Jun 2009 23:22:39 +0000

dropbear (0.51-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.
    - Wait until a process exits before the server closes a connection,
      so that an exit code can be sent. This fixes problems with exit
      codes not being returned, which could cause scp to fail (closes:
      #448397, #472483).
  
  [ Gerrit Pape ]
  * debian/dropbear.postinst: don't print an error message if the
    update-service program is not installed (thx Matt).

 -- Gerrit Pape <pape@smarden.org>  Thu, 27 Mar 2008 20:08:06 +0000

=== debian/control ===
Source: dropbear
Section: net
Priority: optional
Maintainer: Gerrit Pape <pape@smarden.org>
Build-Depends: libz-dev
Standards-Version: 3.9.2.0

Package: dropbear
Architecture: any
Depends: ${shlibs:Depends}
Suggests: openssh-client, udev, runit, xauth
Provides: ssh-server
Description: lightweight SSH2 server and client
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 It implements most required features of the SSH 2 protocol, and other
 features such as X11 and authentication agent forwarding.
 .
 See http://matt.ucc.asn.au/dropbear/dropbear.html

=== debian/rules ===
#!/usr/bin/make -f

#export DH_OPTIONS
DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

STRIP =strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: nostrip
endif

CFLAGS =-Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS +=-O0
else
  CFLAGS +=-O2
endif

CONFFLAGS =
CC =gcc
ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CONFFLAGS =--disable-zlib
  CC =diet -v -Os gcc -nostdinc
endif

DIR =$(shell pwd)/debian/dropbear

patch: deb-checkdir patch-stamp
patch-stamp:
	for i in `ls -1 debian/diff/*.diff || :`; do \
	  patch -p1 <$$i || exit 1; \
	done
	touch patch-stamp

config.status: patch-stamp configure
	CC='$(CC)' \
	CFLAGS='$(CFLAGS) -DSFTPSERVER_PATH="\"/usr/lib/sftp-server\""' \
	  ./configure --host='$(DEB_HOST_GNU_TYPE)' \
	    --build='$(DEB_BUILD_GNU_TYPE)' --prefix=/usr \
	    --enable-bundled-libtom \
	    --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	    $(CONFFLAGS)

build: deb-checkdir build-stamp
build-stamp: config.status
	$(MAKE) CC='$(CC)' LD='$(CC)'
	touch build-stamp

clean: deb-checkdir deb-checkuid
	test ! -r Makefile || $(MAKE) distclean
	rm -f libtomcrypt/Makefile libtommath/Makefile
	test ! -e patch-stamp || \
	  for i in `ls -1r debian/diff/*.diff || :`; do \
	    patch -p1 -R <$$i; \
	  done
	rm -f patch-stamp build-stamp config.log config.status
	rm -rf '$(DIR)'
	rm -f debian/files debian/substvars debian/copyright changelog

install: deb-checkdir deb-checkuid build-stamp
	rm -rf '$(DIR)'
	install -d -m0755 '$(DIR)'/etc/dropbear
	# programs
	install -d -m0755 '$(DIR)'/usr/sbin
	install -m0755 dropbear '$(DIR)'/usr/sbin/dropbear
	install -d -m0755 '$(DIR)'/usr/bin
	install -m0755 dbclient '$(DIR)'/usr/bin/dbclient
	install -m0755 dropbearkey '$(DIR)'/usr/bin/dropbearkey
	install -d -m0755 '$(DIR)'/usr/lib/dropbear
	install -m0755 dropbearconvert \
	  '$(DIR)'/usr/lib/dropbear/dropbearconvert
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/sbin/* \
	  '$(DIR)'/usr/bin/* '$(DIR)'/usr/lib/dropbear/*
	# init and run scripts
	install -d -m0755 '$(DIR)'/etc/init.d
	install -m0755 debian/dropbear.init '$(DIR)'/etc/init.d/dropbear
	install -m0755 debian/service/run '$(DIR)'/etc/dropbear/run
	install -d -m0755 '$(DIR)'/etc/dropbear/log
	install -m0755 debian/service/log '$(DIR)'/etc/dropbear/log/run
	ln -s /var/log/dropbear '$(DIR)'/etc/dropbear/log/main
	# cryptroot support (debian@x.ray.net)
	install -d -m0755 '$(DIR)'/usr/share/initramfs-tools/hooks
	install -m0755 debian/initramfs/dropbear-hook \
	  '$(DIR)'/usr/share/initramfs-tools/hooks/dropbear
	install -d -m0755 \
	  '$(DIR)'/usr/share/initramfs-tools/scripts/init-premount
	install -m0755 debian/initramfs/premount-devpts \
	  '$(DIR)'/usr/share/initramfs-tools/scripts/init-premount/devpts
	install -m0755 debian/initramfs/premount-dropbear \
	  '$(DIR)'/usr/share/initramfs-tools/scripts/init-premount/dropbear
	install -d -m0755 \
	  '$(DIR)'/usr/share/initramfs-tools/scripts/init-bottom
	install -m0755 debian/initramfs/bottom-dropbear \
	  '$(DIR)'/usr/share/initramfs-tools/scripts/init-bottom/dropbear
	install -d -m0755 '$(DIR)'/usr/share/initramfs-tools/conf-hooks.d
	install -m0644 debian/initramfs/dropbear-conf \
	  '$(DIR)'/usr/share/initramfs-tools/conf-hooks.d/dropbear
	# man pages
	install -d -m0755 '$(DIR)'/usr/share/man/man8
	for i in dropbear.8 dropbearkey.8; do \
	  install -m644 $$i '$(DIR)'/usr/share/man/man8/ || exit 1; \
	done
	gzip -9 '$(DIR)'/usr/share/man/man8/*.8
	install -d -m0755 '$(DIR)'/usr/share/man/man1
	install -m644 dbclient.1 '$(DIR)'/usr/share/man/man1/
	gzip -9 '$(DIR)'/usr/share/man/man1/*.1
	# copyright, changelog
	cat debian/copyright.in LICENSE >debian/copyright
	test -r changelog || ln -s CHANGES changelog

binary-indep:

binary-arch: install dropbear.deb
	test '$(CC)' != 'gcc' || \
	  dpkg-shlibdeps '$(DIR)'/usr/sbin/* '$(DIR)'/usr/bin/* \
	    '$(DIR)'/usr/lib/dropbear/*
	dpkg-gencontrol -isp -pdropbear -P'$(DIR)'
	dpkg -b '$(DIR)' ..

binary: binary-arch binary-indep

.PHONY: patch build clean install binary-indep binary-arch binary

include debian/implicit

## dropbear 2016.72

=== debian/changelog ===
dropbear (2016.72-1) unstable; urgency=high

  [ Matt Johnston ]
  * New upstream release, fixing a xauth command injection vulnerability.  See
    also http://www.openwall.com/lists/oss-security/2016/03/10/8

  [ Guilhem Moulin ]
  * debian/control:
    + Bump Standards-Version to 3.9.7 (no changes necessary).
    + Change Vcs-Git URI from git:// to https://.

 -- Guilhem Moulin <guilhem@guilhem.org>  Thu, 10 Mar 2016 22:14:47 +0100

dropbear (2015.71-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * dropbear-initramfs:
    + init-premount script: on local mounts, fork before
      'configure_networking', so a user with access to the keyboard doesn't
      need to wait for ipconfig to terminate to enter the passphrase.
      (Closes: #806884.)  It doesn't affect our fix to #584780 since
      'configure_networking' and 'dropbear' run sequentially in the same
      process.

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 18 Dec 2015 13:10:57 +0100

dropbear (2015.70-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * dropbear-initramfs:
    + Take dropbear options from the DROPBEAR_OPTIONS environment variable,
      for consistency with DROPBEAR_IFDOWN.  For backward compatibility the
      value of $PKGOPTION_dropbear_OPTION is used when DROPBEAR_OPTIONS is
      unset.
    + Take ownership of cryptsetup's /usr/share/doc/cryptsetup/README.remote
      and ship it as /usr/share/doc/dropbear-initramfs/README.initramfs .
  * debian/patches:
    + 0001-dbclient.1-dbclient-uses-compression-if-compiled-with.diff: Remove
      patch applied upstream.
    + 0002-dropbearkey.8-mention-y-option-add-example.diff: Remove patch
      applied upstream.

 -- Guilhem Moulin <guilhem@guilhem.org>  Thu, 26 Nov 2015 17:06:59 +0100

dropbear (2015.68-1) unstable; urgency=low

  * New co-maintainer.

  [ Matt Johnston ]
  * New upstream release.  (Closes: #631858, #775222.)

  [ Guilhem Moulin ]
  * debian/source/format: 3.0 (quilt)
  * debian/compat: 9
  * debian/control:
    + Bump Standards-Version to 3.9.6 (no changes necessary).
    + Add Homepage, Vcs-Git, and Vcs-Browser fields.
  * debian/copyright: add machine-readable file.
  * Split up package in dropbear-bin (binaries), dropbear-run (init scripts)
    and dropbear-initramfs (initramfs integration).  'dropbear' is now a
    transitional dummy package depending on on dropbear-run and
    dropbear-initramfs.  (Closes: #692932.)
  * Refactor the package using dh_* tools, including dh_autoreconf.  (Closes:
    #689618, #777324, #793006, #793917.)
  * Add 'Multi-Arch: foreign' tags.
  * dropbear-run:
    + Add a status option to the /etc/init.d script.
    + Pass key files with -r not -d in /etc/init.d script.  (Closes: #761143.)
    + Post-installation script: Generate missing ECDSA in addition to RSA and
      DSS host keys.  (Closes: #776976.)
  * dropbear-initramfs:
    + No longer mark /usr/share/initramfs-tools/conf-hooks.d/dropbear as a
      configuration file, since it violates the Debian Policy Manual section
      10.7.2.  (Regression from 2014.64-1.)  Instead, move the file to
      /etc/initramfs-tools/conf-hooks.d/dropbear and add a symlink in
      /usr/share/initramfs-tools/conf-hooks.d.
    + Delete debian/initramfs/premount-devpts, since /dev/pts in mounted by
      init since initramfs-tools 0.94.  (Closes: #632656, #797939.)
    + Auto-generate host keys in the postinstall script, not when runing
      update-initramfs.  Pass the '-R' option (via $PKGOPTION_dropbear_OPTION)
      for the old behavior.  Also, print fingerprint and ASCII art for
      generated keys (if ssh-keygen is available).
    + Revert ad2fb1c and remove warning about changing host key.  Users
      shouldn't be encouraged to use the same keys in the encrypted partition
      and in the initramfs.  The proper fix is to use an alternative port or
      UserKnownHostFile.
    + Set ~root to `mktemp -d "$DESTDIR/root-XXXXXX"` to avoid collisions with
      $rootmnt.  (Closes: #558115.)
    + Exit gracefully if $IP is 'none' or 'off'.  (Closes: #692932.)
    + Start dropbear with flag -s to explicitly disable password logins.
    + Terminate all children before killing dropbear, to avoid stalled SSH
      connections.  (Closes: #735203.)
    + Run configure_networking in the foreground.  (Closes: #584780, #626181,
      #739519.)
    + Bring down interfaces and flush IP routes and addresses before exiting
      the ramdisk, to avoid dirty network configuration in the regular kernel.
      (Closes: #715048, #720987, #720988.)  The interfaces considered are
      those matching the $DROPBEAR_IFDOWN shell pattern (default: '*'); the
      special value 'none' keeps all interfaces up and preserves routing
      tables and addresses.

 -- Guilhem Moulin <guilhem@guilhem.org>  Sat, 03 Oct 2015 20:47:33 +0200

dropbear (2014.65-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release (closes: #757780).

  [ Gerrit Pape ]
  * debian/diff/0003-options.h-use-usr-bin-xauth-instead-of...diff:
    remove; applied upstream.
  * debian/control: Standards-Version: 3.9.5.0.

 -- Gerrit Pape <pape@smarden.org>  Mon, 11 Aug 2014 20:50:11 +0000

dropbear (2014.64-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release (closes: #748826, #756561)..

  [ Gerrit Pape ]
  * debian/diff/: update.
  * debian/initramfs/premount-devpts: apply patch from
    https://launchpadlibrarian.net/107177971/dropbear_lp933903_precise_1.debdiff:
    duplicate mount /dev/pts in initramfs (thx Mario 'BitKoenig' Holbe,
    Guy Roussin, closes: #632656).
  * debian/dropbear.postinst: apply patch from Karl O. Pinc: dropbear's
    cryptroot setup does not use the system's host keys (closes:
    #714899).
  * debian/initramfs/dropbear-hook: apply patch from Karl O. Pinc:
    There is no warning when the cryptroot host key differs from the
    regular host key (closes: #714900).


=== debian/control ===
Source: dropbear
Section: net
Priority: optional
Maintainer: Guilhem Moulin <guilhem@guilhem.org>
Uploaders: Gerrit Pape <pape@smarden.org>
Build-Depends: libz-dev, debhelper (>= 9), dh-exec, dh-autoreconf
Standards-Version: 3.9.7
Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
Vcs-Git: https://anonscm.debian.org/git/collab-maint/dropbear.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dropbear.git

Package: dropbear-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: openssh-client, xauth
Breaks: dropbear (<< 2015.68-1)
Replaces: dropbear (<< 2015.68-1)
Provides: ssh-server
Multi-Arch: foreign
Description: lightweight SSH2 server and client - command line tools
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 It implements most required features of the SSH 2 protocol, and other
 features such as X11 and authentication agent forwarding.
 .
 This package provides dropbear, dbclient, dropbearkey and dropbearconvert.

Package: dropbear-run
Architecture: any
Depends: ${misc:Depends}, dropbear-bin (= ${binary:Version})
Suggests: runit
Breaks: dropbear (<< 2015.68-1)
Replaces: dropbear (<< 2015.68-1)
Multi-Arch: foreign
Description: lightweight SSH2 server and client - startup scripts
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 It implements most required features of the SSH 2 protocol, and other
 features such as X11 and authentication agent forwarding.

Package: dropbear-initramfs
Architecture: any
Depends: ${misc:Depends}, dropbear-bin (= ${binary:Version}),
 initramfs-tools (>= 0.94), busybox | busybox-static, udev
Recommends: cryptsetup
Breaks: dropbear (<< 2015.68-1)
Replaces: dropbear (<< 2015.68-1)
Multi-Arch: foreign
Description: lightweight SSH2 server and client - initramfs integration
 dropbear is a SSH 2 server and client designed to be small enough to
 be used in small memory environments, while still being functional and
 secure enough for general use.
 .
 It implements most required features of the SSH 2 protocol, and other
 features such as X11 and authentication agent forwarding.
 .
 This package provides initramfs integration.

Package: dropbear
Architecture: all
Priority: extra
Section: oldlibs
Pre-Depends: dpkg (>= 1.17.14)
Depends: ${misc:Depends}, dropbear-run (>= 2015.68-1), dropbear-initramfs (>= 2015.68-1)
Multi-Arch: foreign
Description: transitional dummy package for dropbear-{run,initramfs}
 This is a transitional dummy package to get upgrading systems to install the
 dropbear-run and dropbear-initramfs packages. It can safely be removed once no
 other package depends on it.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# export DH_OPTIONS
DEB_HOST_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CONFFLAGS =
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  CC = $(DEB_HOST_GNU_TYPE)-gcc
else
  CC = gcc
endif

ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CONFFLAGS =--disable-zlib
  CC =diet -v -Os gcc -nostdinc
endif

%:
	dh $@ --with=autoreconf

override_dh_installinit:
	dh_installinit -R --name dropbear

override_dh_auto_configure:
	dh_auto_configure -- --enable-bundled-libtom \
	  CC='$(CC)' CFLAGS='$(CFLAGS) -DSFTPSERVER_PATH="\"/usr/lib/sftp-server\""' \
	  $(CONFFLAGS)

override_dh_installdocs:
	dh_installdocs -Ndropbear-run -Ndropbear-initramfs
	dh_installdocs -pdropbear-run -pdropbear-initramfs --link-doc=dropbear-bin

override_dh_install:
	dh_link -pdropbear-run /var/log/dropbear etc/dropbear/log/main
	dh_link -pdropbear-initramfs /etc/initramfs-tools/conf-hooks.d/dropbear usr/share/initramfs-tools/conf-hooks.d/dropbear
	dh_install

## dropbear 2016.73

=== debian/changelog ===
dropbear (2016.73-1) unstable; urgency=low

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * dropbear-initramfs, dropbear-run:
    + In the postinst script, only generate host keys when all three key types
      (DSS, RSA, ECDSA) are missing.  For instance if an RSA host key is
      present, a missing DSS host key will not be automatically generated.
    + Change architecture from 'any' to 'all' and remove --link-doc.  This
      enables dropbear-initramfs to have its own NEWS file.
  * dropbear-run:
    + Use dh_installdirs to create /etc/dropbear.
  * dropbear-initramfs:
    + Take host keys (resp. authorized_keys) from /etc/initramfs-tools instead
      of /etc/initramfs-tools/etc/dropbear (resp.
      /etc/initramfs-tools/root/.ssh).
      These files are automatically moved on upgrade.
      This is done following the initramfs-tools maintainers' request (see
      #807527) that hook and boot script configuration files be stored outside
      the /etc/initramfs-tools directory.
    + Move hook script initramfs configuration from
      /etc/initramfs-tools/conf-hooks.d/dropbear to
      /usr/share/initramfs-tools/conf-hooks.d/dropbear.  As a consequence, the
      file is no longer recognized as a user configuration file; it is only
      used to set a restrictive umask (to avoid disclosing the host keys) and
      to force the use of busybox.
    + Use /etc/dropbear-initramfs/config as initramfs boot script
      configuration.  For backward compatibility setting dropbear options in
      /etc/initramfs-tools/initramfs.conf is still supported for now (but
      sourcing this file causes the hook to print a warning).
      (Closes: #819320.)

 -- Guilhem Moulin <guilhem@guilhem.org>  Wed, 13 Apr 2016 19:00:06 +0200

=== debian/control ===
--- 
+++ 
@@ -28,8 +28,8 @@
  This package provides dropbear, dbclient, dropbearkey and dropbearconvert.
 
 Package: dropbear-run
-Architecture: any
-Depends: ${misc:Depends}, dropbear-bin (= ${binary:Version})
+Architecture: all
+Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version})
 Suggests: runit
 Breaks: dropbear (<< 2015.68-1)
 Replaces: dropbear (<< 2015.68-1)
@@ -43,8 +43,8 @@
  features such as X11 and authentication agent forwarding.
 
 Package: dropbear-initramfs
-Architecture: any
-Depends: ${misc:Depends}, dropbear-bin (= ${binary:Version}),
+Architecture: all
+Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version}),
  initramfs-tools (>= 0.94), busybox | busybox-static, udev
 Recommends: cryptsetup
 Breaks: dropbear (<< 2015.68-1)

## dropbear 2016.74

=== debian/changelog ===
dropbear (2016.74-5+deb9u1) stretch; urgency=medium

  * Backport security fix for CVE-2018-15599: The recv_msg_userauth_request
    function in svr-auth.c in Dropbear through 2018.76 is prone to a user
    enumeration vulnerability because username validity affects how fields in
    SSH_MSG_USERAUTH messages are handled.  (Closes: #906890.)
    Adapted from https://secure.ucc.asn.au/hg/dropbear/rev/5d2d1021ca00 .

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 24 Aug 2018 02:08:38 +0200

dropbear (2016.74-5) unstable; urgency=high

  * Backport security fixes from 2017.75 (closes: #862970):
    - CVE-2017-9078: Fix double-free in server TCP listener cleanup
      A double-free in the server could be triggered by an authenticated user
      if dropbear is running with -a (Allow connections to forwarded ports
      from any host) This could potentially allow arbitrary code execution as
      root by an authenticated user.
    - CVE-2017-9079: Fix information disclosure with ~/.ssh/authorized_keys
      symlink.
      Dropbear parsed authorized_keys as root, even if it were a symlink. The
      fix is to switch to user permissions when opening authorized_keys
      A user could symlink their ~/.ssh/authorized_keys to a root-owned file
      they couldn't normally read. If they managed to get that file to contain
      valid authorized_keys with command= options it might be possible to read
      other contents of that file.
      This information disclosure is to an already authenticated user.

 -- Guilhem Moulin <guilhem@debian.org>  Fri, 19 May 2017 23:41:21 +0200

dropbear (2016.74-4) unstable; urgency=medium

  * Also trigger maintainer scripts when upgrading from dropbear
    2014.65-1+deb8u1, by changing the upper bound from 2014.65-1 to
    2015.68-1~.  (Closes: #862544)

 -- Guilhem Moulin <guilhem@guilhem.org>  Sun, 14 May 2017 16:56:40 +0200

dropbear (2016.74-3) unstable; urgency=high

  * debian/copyright: add missing paragraphs to match upstream's LICENSE file.
    (Closes: #860406.)

 -- Guilhem Moulin <guilhem@guilhem.org>  Sun, 16 Apr 2017 12:22:56 +0200

dropbear (2016.74-2) unstable; urgency=low

  * Tolerate lack of boot script config file /etc/dropbear-initramfs/config.
    This can happen when dropbear-initramfs is upgraded (from <2016.73-1)
    along with the kernel, and the kernel is configured before
    dropbear-initramfs, cf. #841503.
  * debian/control: Add Depends: lsb-base (>= 3.0-6) for dropbear-run.
  * debian/README.Debian, debian/copyright: upgrade the homepage URI to
    https://.

 -- Guilhem Moulin <guilhem@guilhem.org>  Tue, 13 Dec 2016 23:44:50 +0100

dropbear (2016.74-1) unstable; urgency=medium

  [ Matt Johnston ]
  * New upstream release.

  [ Guilhem Moulin ]
  * debian/control:
    + Bump Standards-Version to 3.9.8 (no changes necessary).
  * Fix initramfs hostkey path in changelog and NEWS file.  Patch from Lukáš
    Krejza.  (Closes: #830826.)

 -- Guilhem Moulin <guilhem@guilhem.org>  Fri, 29 Jul 2016 10:29:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: dropbear
 Section: net
 Priority: optional
-Maintainer: Guilhem Moulin <guilhem@guilhem.org>
+Maintainer: Guilhem Moulin <guilhem@debian.org>
 Uploaders: Gerrit Pape <pape@smarden.org>
 Build-Depends: libz-dev, debhelper (>= 9), dh-exec, dh-autoreconf
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://matt.ucc.asn.au/dropbear/dropbear.html
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/dropbear.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/dropbear.git
@@ -29,7 +29,8 @@
 
 Package: dropbear-run
 Architecture: all
-Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version})
+Depends: ${misc:Depends}, dropbear-bin (>= ${source:Version}),
+ lsb-base (>= 3.0-6)
 Suggests: runit
 Breaks: dropbear (<< 2015.68-1)
 Replaces: dropbear (<< 2015.68-1)

=== debian/rules ===
--- 
+++ 
@@ -31,11 +31,6 @@
 	  CC='$(CC)' CFLAGS='$(CFLAGS) -DSFTPSERVER_PATH="\"/usr/lib/sftp-server\""' \
 	  $(CONFFLAGS)
 
-override_dh_installdocs:
-	dh_installdocs -Ndropbear-run -Ndropbear-initramfs
-	dh_installdocs -pdropbear-run -pdropbear-initramfs --link-doc=dropbear-bin
-
 override_dh_install:
 	dh_link -pdropbear-run /var/log/dropbear etc/dropbear/log/main
-	dh_link -pdropbear-initramfs /etc/initramfs-tools/conf-hooks.d/dropbear usr/share/initramfs-tools/conf-hooks.d/dropbear
 	dh_install
